/**
 * Copyright (c) 2009-2011 Zauber S.A. <http://www.zaubersoftware.com/>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package ar.com.zauber.commons.mom.style;

import net.sf.staccatocommons.restrictions.check.NonNull;

/**
 * {@link NamingStyle}s allow to configure the mapping between SLM-format maps
 * and property names of beans
 *
 * @author flbulgarelli
 */
public interface NamingStyle {

    /**
     * Maps a SLM map key to a property name
     *
     * @param mapKey
     * @return the corresponding property name
     */
    String getPropertyName(@NonNull String mapKey);
}