/**
 * Copyright (c) 2009-2011 Zauber S.A. <http://www.zaubersoftware.com/>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/*
 * Copyright (c) 2011 Zauber S.A. -- All rights reserved
 */

package ar.com.zauber.commons.mom.style;

/**
 * {@link SetterStyle} Defines different setters styles
 *
 * @author Gaston Ponti
 * @since Aug 26, 2011
 */
public interface SetterStyle {

    /**
     * Sets the property in the destination field.
     *
     * @param destination Object with the field to be filled.
     * @param propertyName Name of the field.
     * @param propertyValue Object that will be setted.
     * @throws Exception
     */
    void setValue(Object destination, String propertyName, Object propertyValue) throws Exception;
}
