/**
 * Copyright (c) 2009-2011 Zauber S.A. <http://www.zaubersoftware.com/>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/*
 * Copyright (c) 2011 Zauber S.A. -- All rights reserved
 */

package ar.com.zauber.commons.mom.style.impl;

import java.lang.reflect.InvocationTargetException;

import net.sf.staccatocommons.restrictions.check.NonNull;
import net.sf.staccatocommons.restrictions.check.NotEmpty;
import net.sf.staccatocommons.restrictions.processing.ForceRestrictions;

import org.apache.commons.beanutils.LazyDynaMap;
import org.apache.commons.beanutils.PropertyUtils;
import org.apache.commons.beanutils.WrapDynaBean;

import ar.com.zauber.commons.mom.NaiveProperties;
import ar.com.zauber.commons.mom.style.SetterStyle;

/**
 * @author Gaston Ponti
 * @since Aug 26, 2011
 */
public class BeanStyle implements SetterStyle {

    /**
     * An instance of {@link BeanStyle}
     */
    public static final SetterStyle STYLE = new BeanStyle();

    /**
     * @throws InvocationTargetException
     * @throws IllegalAccessException
     * @see ar.com.zauber.commons.mom.PropertyStyle#setValue()
     */
    @ForceRestrictions
    public void setValue(@NonNull final Object destination, @NotEmpty final String propertyName,
            final Object propertyValue) throws Exception {
        NaiveProperties.set(destination, propertyName, propertyValue);
    }

}
